{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/a"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/a",
                            "id": "#main/step1/r"
                        }
                    ],
                    "out": [
                        "#main/step1/out"
                    ],
                    "run": "#updateval_inplace.cwl",
                    "id": "#main/step1"
                },
                {
                    "in": [
                        {
                            "source": "#main/step1/out",
                            "id": "#main/step2/r"
                        }
                    ],
                    "out": [
                        "#main/step2/out"
                    ],
                    "run": "#updateval_inplace.cwl",
                    "id": "#main/step2"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/step2/out",
                    "id": "#main/out"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "listing": [
                        {
                            "entry": "$(inputs.r)",
                            "writable": true
                        }
                    ],
                    "class": "InitialWorkDirRequirement"
                },
                {
                    "inplaceUpdate": true,
                    "class": "http://commonwl.org/cwltool#InplaceUpdateRequirement"
                }
            ],
            "hints": [
                {
                    "dockerPull": "docker.io/python:2.7.15-alpine3.7",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#updateval_inplace.cwl/r"
                },
                {
                    "type": "File",
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/common-workflow-language/cwltool/12993a6eb60f5ccb4edbe77cb6de661cfc496090/tests/wf/updateval.py"
                    },
                    "id": "#updateval_inplace.cwl/script"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.r.basename)"
                    },
                    "id": "#updateval_inplace.cwl/out"
                }
            ],
            "arguments": [
                "python",
                "$(inputs.script)",
                "$(inputs.r.basename)"
            ],
            "id": "#updateval_inplace.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
